declare global  {
    interface Array<T> {
        single(): T;
        single(func: (value: T) => void): T;
        singleOrDefault(): T;
        singleOrDefault(func: (value: T) => void): T;
        first(func: (value: T) => void): T;
        first(): T;
        firstOrDefault(func: (value: T) => void): T;
        firstOrDefault(): T;
        last(func: (value: T) => void): T;
        last(): T;
        lastOrDefault(func: (value: T) => void): T;
        lastOrDefault(): T;
        where(func: (value: T) => void): T[];
        any(func: (value: T) => void): boolean;
        any(): boolean;
        all(func: (value: T) => void): boolean;
        orderBy(propertyExpression: (item: T) => any): T[];
        orderByDescending(propertyExpression: (item: T) => any): T[];
        add(item: T): void;
        addRange(items: T[]): void;
        remove(item: T): boolean;
    }
}
export declare class ArrayExtensions {
}
