import { Http } from '@angular/http';
import { Observable } from 'rxjs/Rx';
import { Setting } from '../setting';
export declare class AppConfig {
    private http;
    private paths;
    private config;
    private env;
    private subject;
    initialized: Observable<boolean>;
    constructor(http: Http);
    getPresentationConfigs(): Setting[];
    get(key: string): any;
    getEnv(key: any): any;
    addNavigationItems(applicationName: string, paths: Array<any>): void;
    fetchNavigationItems(applicationName: string): Setting[];
    initialize(settings: Array<Setting>, env: string): void;
}
